Debian Bug report logs - #598933
ktoon: FTBFS on armel: no match for 'operator<<'

version graph

Package: src:ktoon; Maintainer for src:ktoon is Juan Manuel Garcia Molina <juanma@debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sun, 3 Oct 2010 10:48:02 UTC

Severity: important

Tags: patch

Found in versions ktoon/0.8.1-4.1, ktoon/0.8.1-4.2

Fixed in version ktoon/0.8.1-5

Done: Riku Voipio <riku.voipio@linaro.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#598933; Package src:ktoon. (Sun, 03 Oct 2010 10:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Juan Manuel Garcia Molina <juanma@debian.org>. (Sun, 03 Oct 2010 10:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ktoon: FTBFS on armel: no match for 'operator<<'
Date: Sun, 03 Oct 2010 12:46:42 +0200
Source: ktoon
Version: 0.8.1-4.1
Severity: important
User: debian-arm@lists.debian.org
Usertags: eabi

Hi,

your package FTBFS on armel:
| g++ -c -pipe -O2 -Wall -W -D_REENTRANT -fPIC -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I../../src/ktoonlib -I../../src/core -I../../src/dialogs -I../../src/store -I../../src/dlib/dgui -I../../src/dlib/dcore -I.moc -o .obj/ktprojectparser.o ktprojectparser.cpp
| ktprojectparser.cpp: In member function 'virtual bool KTProjectParser::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&)':
| ktprojectparser.cpp:215: error: no match for 'operator<<' in '((KTProjectParser*)this)->KTProjectParser::m_gradientStops << qMakePair(const T1&, const T2&) [with T1 = double, T2 = QColor](((const QColor&)((const QColor*)(& c))))'

Full build logs:
  https://buildd.debian.org/status/package.php?p=ktoon

Mraw,
KiBi.




Severity set to 'serious' from 'important' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 14:09:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#598933; Package src:ktoon. (Fri, 11 Mar 2011 20:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Artur Rona <ari-tczew@tlen.pl>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Fri, 11 Mar 2011 20:57:04 GMT) Full text and rfc822 format available.

Message #12 received at 598933@bugs.debian.org (full text, mbox):

From: Artur Rona <ari-tczew@tlen.pl>
To: 598933@bugs.debian.org
Date: Fri, 11 Mar 2011 21:55:03 +0100
[Message part 1 (text/plain, inline)]
Package: ktoon
Version: 0.8.1-4.2
Tags: patch
Usertags: origin-ubuntu natty ubuntu-patch

In Ubuntu, we've applied the attached patch to achieve the following:

  * debian/patches/51_qreal_arm_fix.dpatch: Casts doubles to qreal
    to fix armel FTBFS (LP: #642117)

We thought you might be interested in doing the same. 

-- 
Pozdrawiam / Kind regards,
Artur Rona
[51_qreal_arm_fix.dpatch (application/x-shellscript, attachment)]

Added tag(s) patch. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Wed, 06 Apr 2011 23:01:22 GMT) Full text and rfc822 format available.

Reply sent to Riku Voipio <riku.voipio@linaro.org>:
You have taken responsibility. (Fri, 16 Dec 2011 14:54:09 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Fri, 16 Dec 2011 14:54:09 GMT) Full text and rfc822 format available.

Message #19 received at 598933-close@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@linaro.org>
To: 598933-close@bugs.debian.org
Subject: Bug#598933: fixed in ktoon 0.8.1-5
Date: Fri, 16 Dec 2011 14:51:04 +0000
Source: ktoon
Source-Version: 0.8.1-5

We believe that the bug you reported is fixed in the latest version of
ktoon, which is due to be installed in the Debian FTP archive:

ktoon_0.8.1-5.diff.gz
  to main/k/ktoon/ktoon_0.8.1-5.diff.gz
ktoon_0.8.1-5.dsc
  to main/k/ktoon/ktoon_0.8.1-5.dsc
ktoon_0.8.1-5_amd64.deb
  to main/k/ktoon/ktoon_0.8.1-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598933@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Riku Voipio <riku.voipio@linaro.org> (supplier of updated ktoon package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 16 Dec 2011 16:25:52 +0200
Source: ktoon
Binary: ktoon
Architecture: source amd64
Version: 0.8.1-5
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Riku Voipio <riku.voipio@linaro.org>
Description: 
 ktoon      - 2D animation toolkit
Closes: 598933 625121 634668
Changes: 
 ktoon (0.8.1-5) unstable; urgency=low
 .
   * Mark as orphaned, as per #619741
   * Merge from ubuntu, thanks:
 .
   * 51_qreal_arm_fix.dpatch: Casts doubles to qreal to fix armel FTBFS
     Closes: #598933
   * 99-fix-FTBFS-with-permissive.dpatch: fix FTBFS because of -fpermissive
     option
     Closes: #625121
   * 99-fix-FTBFS-libav-0.7.dpatch: fix FTBFS because of deprecated functions
     with libav 0.7
     Closes: #634668
Checksums-Sha1: 
 5e1692e9313647444af154f7331642d48fb940e3 1303 ktoon_0.8.1-5.dsc
 bec40a3e77a5d59c6d0a5f621f9563ce04a1fc19 37906 ktoon_0.8.1-5.diff.gz
 edf19dc23a83ba0aa26f072dab1058c77f01b04c 2539814 ktoon_0.8.1-5_amd64.deb
Checksums-Sha256: 
 c9ffab91f78885dda8f112ea0f224a79b6f5ce01c51fb5be72d87c70f8942d23 1303 ktoon_0.8.1-5.dsc
 aba2393e47252c1ddf922179def5311ecd7fa5902c6711a7795c9a2adb09fdd2 37906 ktoon_0.8.1-5.diff.gz
 5b839483e34437b96b6957366ef2132cf46b6d45d363f38bc4c6fba73e01e91c 2539814 ktoon_0.8.1-5_amd64.deb
Files: 
 2e8c436bf3cd3dc27a35897ebbfd50ca 1303 graphics optional ktoon_0.8.1-5.dsc
 845fc1000a952fa2c50256c8ad1ea55b 37906 graphics optional ktoon_0.8.1-5.diff.gz
 826510ccde2df565bf907f8ee2a356b1 2539814 graphics optional ktoon_0.8.1-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFO61f1ibPvMsrqrwMRAsfNAKCHG+k5PJ8YS80sL/IIQzeTIPnARwCfXJvZ
HNQBy7bXDaOWGCJYUCqmRUc=
=9dzS
-----END PGP SIGNATURE-----





Severity set to 'important' from 'serious' Request was from Gerfried Fuchs <rhonda@debian.org> to control@bugs.debian.org. (Sat, 24 Nov 2012 10:21:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Dec 2012 07:29:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:43:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.